/***************************************************
/
/ Title  : Test Program
/ Author : David Corcoran
/ Date   : 9/4/98
/ License: See COPYING
/ Purpose: This is a test of the CT-API driver  It
/          resets the card and queries a random #.
/
****************************************************/

#include <stdio.h>
#include "ctapi.h"
#include "defines.h"


int main() {
  
  unsigned char dad=1;
  unsigned char sad=2;
  unsigned int lr = 50;
  BYTE Bcmd[50];
  BYTE Brsp[50];
  BYTE Brnd[5] = {0xC0,0x84,0x00,0x00,0x08};
  BYTE reset[2] = {0x20,0x12} ;
  int i;
  int Iret;
  
  CT_init(1,6000);

  Iret = CT_data(1,&dad,&sad,2,reset,&lr,Brsp);
  
  if (Iret == OK) {
  printf("OK \n");
  } else {
    printf("Error on Port Allocation \n");
  }
  
  printf("Response Size: %x \n", lr);
  
  for (i=0; i<lr; i++) {
    printf("%x ", Brsp[i]);
  }
 
  printf("\n");
  
  lr = 10;
  dad = 0;
  sad = 2; 
  Iret = CT_data(1,&dad,&sad,5,Brnd,&lr,Brsp);
  
 if (Iret == OK) {
   printf("OK \n");
 } else {
   printf("Error \n");
 }
 
 printf("Response Size: %x \n", lr);
 
 for (i=0; i<lr; i++) {
   printf("%x ", Brsp[i]);
 }
 
 printf("\n");

 CT_close(1);
 
}
